Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Interface AuxiliaryDatabaseObject

All Superinterfaces:
  RelationalModel, Serializable

All Known Implementing Classes:
  AbstractAuxiliaryDatabaseObject, SimpleAuxiliaryDatabaseObject

    public interface AuxiliaryDatabaseObject

extends RelationalModel, Serializable

Auxiliary database objects (i.e., triggers, stored procedures, etc) defined in the mappings. Allows Hibernate to manage their lifecycle as part of creating/dropping the schema.

Method Summary
`void` | `addDialectScope(String dialectName)` Add the given dialect name to the scope of dialects to which this database object applies.
`boolean` | `appliesToDialect(Dialect dialect)` Does this database object apply to the given dialect?

Methods inherited from interface org.hibernate.mapping.RelationalModel
`sqlCreateString, sqlDropString`

Method Detail

### addDialectScope

    void addDialectScope(String dialectName)

  Add the given dialect name to the scope of dialects to which this database object applies.

  Parameters:
    `dialectName` - The name of a dialect.

### appliesToDialect

    boolean appliesToDialect(Dialect dialect)

  Does this database object apply to the given dialect?

  Parameters:
    `dialect` - The dialect to check against.
  Returns:
    True if this database object does apply to the given dialect.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.